export interface BaseRespData<D> {
  code: number
  message?: string
  data: D
}

export interface PaginationData<D> {
  total: number
  size: number
  current: number
  records: D[]
}

export type BasePaginationData<D> = BaseRespData<PaginationData<D>>
